%global pypi_name pallets-sphinx-themes
%global srcname Pallets-Sphinx-Themes

Name:           python-%{pypi_name}
Version:        1.2.3
Release:        %mkrel 4
Summary:        Sphinx themes for Pallets and related projects
Group:          Development/Python
License:        BSD
URL:            https://github.com/pallets/pallets-sphinx-themes/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Pallets Sphinx Themes Themes for the Pallets projects. If you're writing an
extension, use the appropriate theme to make your documentation look
consistent.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(packaging)
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
Pallets Sphinx Themes Themes for the Pallets projects. If you're writing an
extension, use the appropriate theme to make your documentation look
consistent.

%prep
%autosetup -n Pallets-Sphinx-Themes-%{version}

# Remove bundled egg-info
rm -rf src/Pallets_Sphinx_Themes.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/pallets_sphinx_themes
%{python3_sitelib}/Pallets_Sphinx_Themes-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.2.3-4.mga9
+ Revision: 1822517
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 1.2.3-3.mga9
+ Revision: 1774075
- rebuild for python 3.10

* Sun Mar 14 2021 wally <wally> 1.2.3-2.mga9
+ Revision: 1702827
- rebuild for python 3.9

* Sat Feb 29 2020 wally <wally> 1.2.3-1.mga8
+ Revision: 1552127
- new version 1.2.3

* Sun Feb 16 2020 umeabot <umeabot> 1.2.2-3.mga8
+ Revision: 1530978
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 1.2.2-2.mga8
+ Revision: 1438158
- rebuild for python3.8

* Tue Aug 13 2019 wally <wally> 1.2.2-1.mga8
+ Revision: 1429207
- new version 1.2.2

* Sat Jul 20 2019 wally <wally> 1.1.4-1.mga8
+ Revision: 1423123
- new version 1.1.4

* Sat Jul 13 2019 wally <wally> 1.1.3-1.mga8
+ Revision: 1420982
- new version 1.1.3

* Sun Jan 13 2019 wally <wally> 1.1.2-1.mga7
+ Revision: 1356053
- imported package python-pallets-sphinx-themes

